zenilib: ALbuffer Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
ALbuffer Struct Reference

`#include <alBuffer.h>`

## Public Attributes

ALvoid * | data
enum FmtChannels | FmtChannels
enum FmtType | FmtType
ALenum | Format
ALsizei | Frequency
ALuint | id
RWLock | lock
ALsizei | LoopEnd
ALsizei | LoopStart
enum UserFmtChannels | OriginalChannels
ALsizei | OriginalSize
enum UserFmtType | OriginalType
RefCount | ref
ALsizei | SampleLen

## Detailed Description

Definition at line 69 of file alBuffer.h.

## Member Data Documentation

ALvoid* ALbuffer::data

Definition at line 71 of file alBuffer.h.

Referenced by alBufferSubDataSOFT(), alBufferSubSamplesSOFT(), alDeleteBuffers(), alGetBufferSamplesSOFT(), LoadData(), MixSource(), and ReleaseALBuffers().

enum FmtChannels ALbuffer::FmtChannels

Definition at line 77 of file alBuffer.h.

Referenced by alBufferSubDataSOFT(), alBufferSubSamplesSOFT(), alGetBufferi(), alGetBufferSamplesSOFT(), alSourceQueueBuffers(), CalcNonAttnSourceParams(), GetSourceOffsets(), LoadData(), and SetSourceiv().

enum FmtType ALbuffer::FmtType

Definition at line 78 of file alBuffer.h.

Referenced by alBufferSubDataSOFT(), alBufferSubSamplesSOFT(), alGetBufferi(), alGetBufferSamplesSOFT(), alSourceQueueBuffers(), LoadData(), MixSource(), and SetSourceiv().

ALenum ALbuffer::Format

Definition at line 74 of file alBuffer.h.

Referenced by alGetBufferi(), and LoadData().

ALsizei ALbuffer::Frequency

Definition at line 73 of file alBuffer.h.

Referenced by alGetBufferf(), alGetBufferi(), alSourceQueueBuffers(), CalcNonAttnSourceParams(), CalcSourceParams(), GetSampleOffset(), GetSourceOffsets(), GetSourceSecOffset(), and LoadData().

ALuint ALbuffer::id

Definition at line 93 of file alBuffer.h.

Referenced by alDeleteBuffers(), alGenBuffers(), alSourceUnqueueBuffers(), GetSourceiv(), and ReleaseALBuffers().

RWLock ALbuffer::lock

Definition at line 90 of file alBuffer.h.

Referenced by alBufferiv(), alBufferSubDataSOFT(), alBufferSubSamplesSOFT(), alGenBuffers(), alGetBufferf(), alGetBufferi(), alGetBufferiv(), alGetBufferSamplesSOFT(), alSourceQueueBuffers(), LoadData(), and SetSourceiv().

ALsizei ALbuffer::LoopEnd

Definition at line 85 of file alBuffer.h.

Referenced by alBufferiv(), alGetBufferiv(), LoadData(), and MixSource().

ALsizei ALbuffer::LoopStart

Definition at line 84 of file alBuffer.h.

Referenced by alBufferiv(), alGetBufferiv(), LoadData(), and MixSource().

enum UserFmtChannels ALbuffer::OriginalChannels

Definition at line 80 of file alBuffer.h.

Referenced by alBufferSubDataSOFT(), alSourceQueueBuffers(), GetSampleOffset(), GetSourceOffsets(), and LoadData().

ALsizei ALbuffer::OriginalSize

Definition at line 82 of file alBuffer.h.

Referenced by alBufferSubDataSOFT(), alGetBufferi(), and LoadData().

enum UserFmtType ALbuffer::OriginalType

Definition at line 81 of file alBuffer.h.

Referenced by alBufferSubDataSOFT(), alSourceQueueBuffers(), GetSampleOffset(), GetSourceOffsets(), and LoadData().

RefCount ALbuffer::ref

Definition at line 88 of file alBuffer.h.

Referenced by alBufferiv(), alDeleteBuffers(), alDeleteSources(), alSourceQueueBuffers(), alSourceUnqueueBuffers(), LoadData(), ReleaseALSources(), and SetSourceiv().

ALsizei ALbuffer::SampleLen

Definition at line 75 of file alBuffer.h.

Referenced by alBufferiv(), alBufferSubSamplesSOFT(), alGetBufferf(), alGetBufferi(), alGetBufferSamplesSOFT(), ApplyOffset(), GetSourceOffset(), GetSourceOffsets(), GetSourceSecOffset(), LoadData(), MixSource(), and SetSourceState().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/openal-soft/OpenAL32/Include/alBuffer.h